#!/bin/bash
git checkout $gitTag

repo=registry.hncy.info/hncy/approval-pass-web
tag=${1:-$gitTag}
echo $tag
git submodule update --init --recursive
if [ ! -f regist-to-eureka/reg2eureka.sh ]; then
    exit 1
fi
rm -rf dist
rm -rf node_modules
# rm -rf pnpm-lock.yaml
yarn
yarn build
# docker buildx use desktop-linux
docker buildx build --platform linux/arm64,linux/amd64 -t $repo:$tag . --push

