import ReviewProcess from "@/pages/User/ReviewProcess";
import UserMain from "../pages/User/Main";
import { createBrowserRouter } from "react-router-dom";
import ManagementMain from "@/pages/Management/Main";
import PendingReviewList from "@/pages/Management/PendingReviewList";
import Root from "./root";

const router = createBrowserRouter([
  {
    path: "/",
    element: <Root></Root>,

    children: [
      {
        path: "/apply",

        element: <UserMain />,
      },
      {
        path: "/apply-record",
        element: <ReviewProcess />,
      },
      {
        path: "/management",
        element: <ManagementMain />,
      },
      {
        path: "/management/:thingId",
        element: <PendingReviewList />,
      },
    ],
  },
]);

export default router;
