import { useContext } from "react";
import X6ActionContext from "../X6ActionContext";
import styles from "./index.module.css";
import { Node } from "@antv/x6";

const ConditionBtn = ({ node }: { node: Node }) => {
  const { addCondition } = useContext(X6ActionContext);
  const id = node.id;
  return (
    <div className={styles.rect} onClick={() => addCondition!(id)}>
      添加条件
    </div>
  );
};

export default ConditionBtn;
