import request from "./core/request";

/** 获取全部项 */
export function getAllApplication(id?: string) {
  return request.post("/hncy/matterInfo/list", {
    params: {
      id,
    },
  });
}

/** 获取事项记录  */
export function getApplicationRecordById(params: any) {
  return request.post("/hncy/record/list", {
    params,
  });
}

/**  */
export function getApplicationFormDetail(id: string) {
  return request.post("/hncy/record/getDetails", {
    params: { id },
  });
}

export function getExamineHistory(id: string) {
  return request.get("/hncy/flow/approve-history-list", {
    params: {
      businessId: id,
    },
  });
}

export function completeExamine(data: any) {
  return request.post("/hncy/flow/complete", {
    data,
  });
}

export function removeAllConfigById(id: string) {
  return request.post("/hncy/content/removeByThingId", {
    params: { thingId: id },
  });
}

export function submitForm(data: any) {
  return request.post("/hncy/record/approveEditReportContent", {
    data,
  });
}

export function getAllRecordByThingId(id: string) {
  return request.post("/hncy/matterInfo/hasDisposeNum", {
    params: {
      matterId: id,
    },
  });
}

/** 获取下个节点的人员 */
export function getNextNodeUser(data: any) {
  return request.post("/hncy/flow/query-next-approval-users", {
    data,
  });
}
