import request from "./core/request";

// 区域街道商户
export function streetMerchants() {
    return request.get("/visualization/merchantTypeStatisticsByStreet")
}

// 商户类型统计
export function merchantTypeStatisc() {
    return request.get("/visualization/merchantTypeStatistics")
}

// 商户类型 分页
export function typeMerchantPageList(params: any) {
    return request.post("/visualization/taskTypeMerchant", { params })
}

// 商户地图撒点
export function mapMarkers(streetCode: string) {
    return request.post("/visualization/entityMap?streetCode=" + streetCode)
}

// 街道下拉 
export async function streetOption() {
    return request.get('/illegalConstruction/streetSelectionList', {
        prefix: '/login/illegal-construction'
    })
}